Options.cpp File Reference
`#include "Paso.h"`
`#include "Options.h"`
`#include "PasoException.h"`
`#include <escript/SolverOptions.h>`
`#include <boost/python/extract.hpp>`
`#include <iostream>`
`#include <sstream>`

## Namespaces

| paso

## Macros

#define | SET(__key__, __val__, __type__) options.attr("_updateDiagnostics")(__key__,(__type__)__val__)

## Macro Definition Documentation

## SET

#define SET | ( |  | __key__,
|  |  | __val__,
|  |  | __type__
| ) |  | options.attr("_updateDiagnostics")(__key__,(__type__)__val__)